function implEuler
  % Rechte Seite des AWPs und seine Ableitung
  f  = @(x) sqrt(x);
  Df = @(x) 1./(2*sqrt(x));

  % Endzeit, Anzahl von Schritte, Anfangswert
  T = 0.9;
  N = 100;
  h = T/N;
  y = zeros(N+1,1);
  y(1) = 1;

  % Forme die Verfahrensvorschrift in eine Nullstellesuche um
  F  = @(y1,y0) y1 -y0 -h*f(y1);
  DF = @(x) 1 - h*Df(x);

  % Parameter fuer Newton Verfahren
  nMax = 100;
  ATOL = 1e-8;
  RTOL = 1e-6;

  for ii = 1:N
      y(ii+1) = newton(y(ii),@(x) F(x,y(ii)),DF,nMax,ATOL,RTOL) ;
  end

  % Plot der approximativen Loesung
  figure;
  plot(0:h:T,y,'*-')
