function untersucheNewton
  % Polynom und seine Ableitung (Teil a)
  F = @(x) (x-1).*(x-2);
  DF = @(x) (x-1)+(x-2);

  % Polynom und seine Ableitung (Teil d)
%   F = @(x) (x-1).*(x-2).*(x-3);
%   DF = @(x) (x-2).*(x-3) + (x-1).*(x-2) + (x-1).*(x-3);

  % Anzahl von Anfangswerten und Anfangwerte
  N = 100;
  t = linspace(0,4,N);

  % Parameter von Newton Verfahren
  ATOL    = 1e-8;
  RTOL    = 1e-5;
  nMax    = 1000;
  xNewton = nan(N,1);

  % Fuer alle Anfangswerte
  for jj = 1:N;
    % Nullstelle gefunden bei Newton Verfahren
    xNewton(jj) = newton(t(jj),F,DF,nMax,ATOL,RTOL);
  end

  % Plot von F, DF, und xNewton
  figure;
  plot(t,F(t),t,DF(t),t,xNewton,'*');
  hold on
  plot([t(1) t(end)],[0 0],'k');
  legend('p','dp/dx','Newton')
